Loading...
Searching...
No Matches
Opm::LogOutputHelper< Scalar > Class Template Reference

## Public Member Functions

| LogOutputHelper (const EclipseState &eclState, const Schedule &schedule, const SummaryState &st, const std::string &moduleVersionName)
void | cumulative (const std::size_t reportStepNum, const bool withConns) const
| Write cumulative production and injection reports to output.
void | error (const std::vector< int > &failedCellsPbub, const std::vector< int > &failedCellsPdew) const
| Write error report to output.
void | fip (const Inplace &inplace, const Inplace &initialInplace, const std::string &name) const
| Write fluid-in-place reports to output.
void | fipResv (const Inplace &inplace, const std::string &name) const
| Write fluid-in-place reservoir reports to output.
void | fip_csv (std::ostringstream &ss, const Inplace &inplace, const std::string &name) const
| Write fluid-in-place reservoir reports to csv file.
void | csv_header (std::ostringstream &ss) const
| Write fluid-in-place reservoir reports to csv file.
void | injection (const std::size_t reportStepNum, const std::map< std::pair< std::string, int >, double > &block_pressures) const
| Write injection report to output.
void | msw (const std::size_t reportStepNum) const
| Write msw report to output.
void | production (const std::size_t reportStepNum, const std::map< std::pair< std::string, int >, double > &block_pressures) const
| Write production report to output.
void | wellSpecification (const std::vector< std::string > &changedWells, const std::size_t reportStepNum) const
| Write well specification report to output.
void | timeStamp (const std::string &lbl, double elapsed, int rstep, boost::posix_time::ptime currentDate) const

## Member Function Documentation

## wellSpecification()

template<class Scalar>

void Opm::LogOutputHelper< Scalar >::wellSpecification | ( | const std::vector< std::string > & | changedWells,
|  | const std::size_t | reportStepNum ) const

Write well specification report to output.

Parameters

  [in] | changedWells | List of wells whose structure changed at this time.
  [in] | reportStepNum | Report step index (1-based).

The documentation for this class was generated from the following files:

- opm/simulators/flow/LogOutputHelper.hpp
- opm/simulators/flow/LogOutputHelper.cpp